 rake db:migrate_plugins RAILS_ENV=production fails when i try to install plugin

2010-01-21 13:41 - rahul margam

Status: Closed Start date: 2010-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

I have been trying to install the Schedules plug-in into my Redmine. I have followed the steps to install the plugins but the rake fails

when i try to migrate the database.

P.S. : The version of redmine that i am using is 0.8.x , I do not remember the exact version, I am running the redmine on locally.

The following is the Trace,

(in /home/rahul/redmine-0.8)

Invoke db:migrate_plugins (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

"\237"

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:190:in `iconv'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:190:in `load_localized_strings'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:189:in `each'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:189:in `load_localized_strings'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:188:in `open'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:188:in `load_localized_strings'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:175:in `each'

/home/rahul/redmine-0.8/vendor/plugins/gloc-1.1.0/lib/gloc.rb:175:in `load_localized_strings'

/home/rahul/redmine-0.8/config/initializers/30-redmine.rb:4

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:503:in `load'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:503:in `load'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:in `new_constants_in'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:503:in `load'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:484:in `load_application_initializers'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:483:in `each'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:483:in `load_application_initializers'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:149:in `process'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:97:in `send'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/initializer.rb:97:in `run'

/home/rahul/redmine-0.8/config/environment.rb:20

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `require'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:in `new_constants_in'

/home/rahul/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `require'

/home/rahul/.gem/ruby/1.8/gems/rails-2.1.2/lib/tasks/misc.rake:3

/usr/lib/ruby/1.8/rake.rb:617:in `call'

/usr/lib/ruby/1.8/rake.rb:617:in `execute'

/usr/lib/ruby/1.8/rake.rb:612:in `each'

/usr/lib/ruby/1.8/rake.rb:612:in `execute'

/usr/lib/ruby/1.8/rake.rb:578:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:588:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:585:in `each'

/usr/lib/ruby/1.8/rake.rb:585:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:577:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:564:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2027:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2005:in `each'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1999:in `top_level'

/usr/lib/ruby/1.8/rake.rb:1977:in `run'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1974:in `run'

/usr/bin/rake:28

History

#1 - 2010-06-10 08:45 - Jean-Baptiste Barth

- Priority changed from High to Normal

Can you read SubmittingBugs and provide a complete report, with exact versions and a way to reproduce ?

#2 - 2010-06-10 08:54 - Felix Schäfer

- Status changed from New to Closed

That seems to have been some error with encodings and gloc, which is moot now as redmine doesn't use gloc anymore.

Closing as outdated.
